apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: s3-flexify-golem
  namespace: storage
  annotations:
    acme.cert-manager.io/http01-edit-in-place: "true"
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/proxy-body-size: "10m"
spec:
  ingressClassName: nginx
  rules:
    - host: s3.golemio.cz
      http:
        paths:
          - backend:
              service:
                name: flexify
                port:
                  number: 8080
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - s3.golemio.cz
      secretName: s3.golemio.cz-tls
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: s3-flexify-internal
  namespace: storage
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/proxy-body-size: "10m"
spec:
  ingressClassName: nginx-internal
  rules:
    - host: s3.golem.oictinternal.cz
      http:
        paths:
          - backend:
              service:
                name: flexify
                port:
                  number: 8080
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - s3.golem.oictinternal.cz
      secretName: s3.golem.oictinternal.cz-tls
---
apiVersion: v1
kind: Service
metadata:
  name: flexify
  namespace: storage
  labels:
    app: flexify
    name: flexify
spec:
  type: ClusterIP
  ports:
    - port: 8080
      targetPort: 80
  selector:
    app: flexify
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: flexify-pvc
  namespace: storage
spec:
  accessModes:
  - ReadWriteOnce
  storageClassName: managed-csi
  resources:
    requests:
      storage: 4Gi
---
apiVersion: apps/v1
kind: Deployment
metadata:
   name: flexify-deployment
   namespace: storage
   labels:
     app: flexify
spec:
  selector:
    matchLabels:
      app: flexify
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: flexify
    spec:
     containers:
     - name: flexify-container
       image: flexifyio/ce
       ports:
       - containerPort: 80
         name: http
       - containerPort: 443
         name: https
       resources:
        requests:
          memory: "600Mi"
        limits:
          memory: "1Gi"
       volumeMounts:
       - mountPath: "/var/opt/flexify/"
         name: flexivolume
     volumes:
       - name: flexivolume
         persistentVolumeClaim:
           claimName: flexify-pvc
